// #name = KmaMineAnnounce
// #version = 1.0
// #date = 01 April 2002
// #status = Working
// #author = Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.clan-kma.com
// #description = Uses the ingame Male voice for "Our Flag is mined"

package KmaMineAnnounce
{
	function CTFGame::notifyMineDeployed(%game, %mine)
	{
	   //see if the mine is within 5 meters of the flag stand...
	   %mineTeam = %mine.sourceObject.team;
	   %homeFlag = $TeamFlag[%mineTeam];
	   if (isObject(%homeFlag))
	   {
	      %dist = VectorDist(%homeFlag.originalPosition, %mine.position);
	      if (%dist <= %game.notifyMineDist)
	      {
	         messageTeam(%mineTeam, 'MsgCTFFlagMined', "The flag has been mined.~wvoice/announcer/flag_minedMale.WAV" );
	      }
	   }
	}

};
activatepackage(KmaMineAnnounce);